using UnityEngine;
using System.Collections;

public class SpriteManager : MonoBehaviour {

	public Sprite northSouth;
	public Sprite westEast;
	public Sprite westSouth;
	public Sprite eastSouth;
	public Sprite westNorth;
	public Sprite eastNorth;
	
	public Sprite code;
	public Sprite design;
	public Sprite sound;
	public Sprite food;
	public Sprite coffee;
	public Sprite wc;
	public Sprite elif;
	public Sprite fun;
	public Sprite sleep;
	
	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
	
	}
	
	public Sprite GetSpriteByAction(Action action) {
		switch (action) {
			case Action.code:
				return code;
			case Action.coffee:
				return coffee;
			case Action.design:
				return design;
			case Action.elif:
				return elif;
			case Action.food:
				return food;
			case Action.fun:
				return fun;
			case Action.sleep:
				return sleep;
			case Action.sound:
				return sound;
			case Action.wc:
				return wc;
			default:
				return null;
		}
	}
}
